org.keycloak.theme

## Class DefaultThemeSelectorProviderFactory

- java.lang.Object
- - org.keycloak.theme.DefaultThemeSelectorProviderFactory

- All Implemented Interfaces:
    ProviderFactory<ThemeSelectorProvider>, ThemeSelectorProviderFactory

      public class DefaultThemeSelectorProviderFactory
      extends Object
      implements ThemeSelectorProviderFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultThemeSelectorProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ThemeSelectorProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### DefaultThemeSelectorProviderFactory

          public DefaultThemeSelectorProviderFactory()

  - ### Method Detail

    - #### create

          public ThemeSelectorProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ThemeSelectorProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ThemeSelectorProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ThemeSelectorProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ThemeSelectorProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ThemeSelectorProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.